%define module Digest-HMAC
Name: perl-%module
Version: 1.01
Release: alt4

Summary: Keyed-Hashing for Message Authentication
License: GPL or Artistic
Group: Development/Perl

Url: http://search.cpan.org/dist/Digest-HMAC/
Source: %module-%version.tar.bz2

BuildArch: noarch

# Automatically added by buildreq on Thu Sep 04 2003
BuildRequires: perl-Digest-SHA1 perl-devel

%description
HMAC is used for message integrity checks between two parties that
share a secret key, and works in combination with some other Digest
algorithm, usually MD5 or SHA-1.  The HMAC mechanism is described in
RFC 2104.

%prep
%setup -q -n %module-%version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes
%perl_vendor_man3dir/*
%perl_vendor_privlib/Digest*

%changelog
* Thu Sep 04 2003 Alexey Tourbin <at@altlinux.ru> 1.01-alt4
- buildreq re-applied (fixes build in the hasher)
- description updated

* Thu Oct 31 2002 Stanislav Ievlev <inger@altlinux.ru> 1.01-alt3
- Rebuild with new perl.

* Mon Jul 23 2001 Stanislav Ievlev <inger@altlinux.ru> 1.01-alt2
- Rebuilt with new perl.

* Mon Jun 25 2001 Konstantin Volckov <goldhead@altlinux.ru> 1.01-alt1
- First build for Sisyphus
- Some spec cleanup

* Sun Jun 24 2001 Christian Belisle <cbelisle@mandrakesoft.com> 1.01-3mdk
- Clean the file list (to build a good cpio). Thanx to Brian.

* Fri Jun 22 2001 Christian Belisle <cbelisle@mandrakesoft.com> 1.01-2mdk
- Added a make test for compilation
- Fixed a typo in the changelog's date.
- Added a Require for perl-Digest-SHA1.

* Fri Jun 22 2001 Christian Belisle <cbelisle@mandrakesoft.com> 1.01-1mdk
- First release, was in perl-Digest-MD5 package before.
